Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface RepeatFeature

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Feature, FeaturePair, Locatable, Persistent, java.io.Serializable

public interface RepeatFeature
extends FeaturePair

Repetitive sequence on genome. I am a type of FeaturePair.

Method Summary
`RepeatConsensus` | `getRepeatConsensus()`
`long` | `getRepeatConsensusInternalID()` Returns repeat consensus internal id, this is the same as repeatConsensus.internalID if repeatConsensus is available.
`void` | `setRepeatConsensus(RepeatConsensus repeatConsensus)`
`void` | `setRepeatConsensusInternalID(long internalID)` Sets repeatConsensus internal id, also sets the repeatConsensus.internalID if repeatConsensus is available.

Methods inherited from interface org.ensembl.datamodel.FeaturePair
`getCigarString, getEvalue, getHitAccession, getHitDescription, getHitDisplayName, getHitLocation, getHitSequence, getPercentageIdentity, getScore, setCigarString, setEvalue, setHitAccession, setHitDescription, setHitDisplayName, setHitLocation, setHitSequence, setPercentageIdentity, setScore`

Methods inherited from interface org.ensembl.datamodel.Feature
`getAnalysis, getAnalysisID, getDescription, getDisplayName, setAnalysis, setAnalysisID, setDescription, setDisplayName`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getRepeatConsensusInternalID

    public long getRepeatConsensusInternalID()

  Returns repeat consensus internal id, this is the same as repeatConsensus.internalID if repeatConsensus is available.

  Returns:
    internalID of the cloneFragment.

### setRepeatConsensusInternalID

    public void setRepeatConsensusInternalID(long internalID)

  Sets repeatConsensus internal id, also sets the repeatConsensus.internalID if repeatConsensus is available.

### getRepeatConsensus

    public RepeatConsensus getRepeatConsensus()

  Returns:
    RepeatConsensus this repeat is a partial instance of.`

### setRepeatConsensus

    public void setRepeatConsensus(RepeatConsensus repeatConsensus)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD